=head1 NAME

B<nodechmac> - Updates the MAC address for a node.

=head1 SYNOPSIS

B<nodechmac> [-h| --help | -v | --version]

B<nodechmac> <node-name> mac=<mac-address>

=head1 DESCRIPTION

The B<nodechmac> command changes the MAC address for provisioned node’s network interface.

You can use this command to keep an existing node configuration. For example, if an existing node has hardware problems, the replacement node can use the old configurations. By using the nodechmac command, the node name and network settings of the old node can be used by the new node.

=head1 OPTIONS

B<-h|--help>

Display usage message.

B<-v|--version>

Command Version.

B<node-name>

Specifies the name of the node you want to update, where <node-name> is the node that is updated.

B<mac=<mac-address>

Sets the new MAC address for the NIC used by the provisioning node, where <mac-address> is the NICs new MAC address.

=head1 RETURN VALUE

0  The command completed successfully.

1  An error has occured.

=head1 EXAMPLES

You can update the MAC address for a node, by using the following command:
nodechmac compute-000 mac=2F:3C:88:98:7E:01

=head1 SEE ALSO


